<?php
function bbc2html($tmpText){
  $tmpText = preg_replace('#\[br\]#is', '<br />', $tmpText);
	$tmpText = preg_replace('#\[h1\](.*)\[/h1\]#isU', '<h1>$1</h1>', $tmpText);
	$tmpText = preg_replace('#\[h2\](.*)\[/h2\]#isU', '<h2>$1</h2>', $tmpText);
	$tmpText = preg_replace('#\[h3\](.*)\[/h3\]#isU', '<h3>$1</h3>', $tmpText);
	$tmpText = preg_replace('#\[h4\](.*)\[/h4\]#isU', '<h4>$1</h4>', $tmpText);
	$tmpText = preg_replace('#\[h5\](.*)\[/h5\]#isU', '<h5>$1</h5>', $tmpText);
	$tmpText = preg_replace('#\[h6\](.*)\[/h6\]#isU', '<h6>$1</h6>', $tmpText);
	$tmpText = preg_replace('#\[b\](.*)\[/b\]#isU', '<strong>$1</strong>', $tmpText);
	$tmpText = preg_replace('#\[small\](.*)\[/small\]#isU', '<small>$1</small>', $tmpText); /*[small]*/
	$tmpText = preg_replace('#\[em\](.*)\[/em\]#isU', '<em>$1</em>', $tmpText);
	$tmpText = preg_replace('#\[u\](.*)\[/u\]#isU', '<span style="text-decoration:underline">$1</span>', $tmpText); /*[u]*/
	$tmpText = preg_replace('#\[code\](.*)\[/code\]#isU', '<code>$1</code>', $tmpText);
	$tmpText = preg_replace('#\[googlecode\](.*)\[/googlecode\]#isU', '</p><pre class="prettyprint linenums">$1</pre><p>', $tmpText);
	$tmpText = preg_replace('#\[color=(.*)\](.*)\[\/color\]#isU', '<span style="color:$1;">$2</span>', $tmpText); /*[color]*/
	$tmpText = preg_replace('#\[size=(.*)\](.*)\[\/size\]#isU', '<span style="font-size:$1;">$2</span>', $tmpText); /*[size] */
	$tmpText = preg_replace('#\[font=(.*)\](.*)\[\/font\]#isU', '<span style="font-family:$1;">$2</span>', $tmpText); /*[font] */
	$tmpText = preg_replace('#\[icon=(.*)\](.*)\[\/icon\]#isU', '<i class="fa fa-$1">$2</i>', $tmpText); /*[font] */
	$tmpText = preg_replace('#\[url=(.*)\](.*)\[\/url\]#isU', '<a href="$1">$2</a>', $tmpText); /*[url]*/
	$tmpText = preg_replace('#\[url\](.*)\[\/url\]#isU', '<a href="$1">$1</a>', $tmpText); /*[url]*/
    $tmpText = preg_replace('#\[exurl=(.*)\](.*)\[\/exurl\]#isU', '<a href="$1" target="_blank">$2</a>', $tmpText);
	$tmpText = preg_replace('#\[img\](.*)\[\/img\]#isU', '<img src="$1" alt="" />', $tmpText); /*[img]*/
	$tmpText = preg_replace('#\[center\](.*)\[\/center\]#isU', '<div style="text-align:center">$1</div>', $tmpText); /*[center]*/
	$tmpText = preg_replace('#\[right\](.*)\[\/right\]#isU', '<div style="text-align:right">$1</div>', $tmpText); /*[right] */
	$tmpText = preg_replace('#\[justify\](.*)\[\/justify\]#isU', '<div style="text-align:justify">$1</div>', $tmpText);
    $tmpText = preg_replace('#\[youtube width=(.*) height=(.*)\](?:https?:\/\/)?(?:www\.)?youtu(?:\.be\/|be\.com\/watch\?v=)([A-Z0-9\-_]+)(?:&(.*?))?\[\/youtube\]#isU', '<iframe width="$1" height="$2" src="//www.youtube-nocookie.com/embed/$3" frameborder="0" allowfullscreen></iframe>', $tmpText);
	$tmpText = preg_replace('# href=\"(.*)\/index\.php(.*)\"#isU', ' href="$1/$2"', $tmpText); /* .../index.php entfernen */
/*
	while(preg_match('#\[list\](.*)\[\/list\]#is', $tmpText)){
		$tmpText = preg_replace_callback('#\[list\](.*)\[\/list\]#isU',
		create_function('$str',"return str_replace(array(\"\\r\",\"\\n\"),'','<ul>'.preg_replace('#\[\*\](.*)\$#isU',
		'<li>\$1</li>',preg_replace('#\[\*\](.*)(\<li\>|\$)#isU','<li>\$1</li>\$2',preg_replace('#\[\*\](.*)(\[\*\]|\$)#isU',
		'<li>\$1</li>\$2',\$str[1]))).'</ul>');"), $tmpText);
		$tmpText = preg_replace('#<ul></li>(.*)</ul>(<li>|</ul>)#isU', '<ul>$1</ul></li>$2', $tmpText);
	}
*/
	return $tmpText;
}
?>
